Summary:        A script for managing file archives of various types
Name:           atool
Group:		Archiving/Compression
Version:        0.39.0
Release:        %mkrel 10
Source:         https://savannah.nongnu.org/download/atool/%{name}-%{version}.tar.gz
Patch: atool-0.37.0-bash-completion.patch
URL:            https://www.nongnu.org/atool/
License:        GPLv2+
BuildArch:	noarch
Requires:	perl

%description
atool is a script for managing file archives of various types (tar,
tar+gzip, zip, etc). The main command is probably 'aunpack' which
extracts files from an archive. It overcomes the dreaded "multiple
files in archive root" problem by first extracting to a unique
subdirectory, and then moving back the files if possible. aunpack
also prevents local files from being overwritten by mistake. Other
commands provided are apack (for creating archives), als (for listing
files in archives), and acat (for extracting files to stdout). 

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%makeinstall
install -m 644 -D extra/bash-completion-atool_0.1-1 %buildroot%_datadir/bash-completion/completions/atool

%files
%doc README ChangeLog NEWS TODO
%config(noreplace) %_datadir/bash-completion/completions/atool
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.39.0-10.mga9
+ Revision: 1807802
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.39.0-9.mga8
+ Revision: 1501327
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 0.39.0-8.mga7
+ Revision: 1277619
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 josh <josh> 0.39.0-7.mga7
+ Revision: 1179399
- Consolidate location for bash-completion scripts

* Mon Jan 11 2016 gw666 <gw666> 0.39.0-6.mga6
+ Revision: 921697
- rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.39.0-5.mga6
+ Revision: 743040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.39.0-4.mga5
+ Revision: 678029
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.39.0-3.mga4
+ Revision: 502915
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.39.0-2.mga3
+ Revision: 346547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 gw666 <gw666> 0.39.0-1.mga3
+ Revision: 309157
- imported package atool


* Wed Apr 04 2012 Götz Waschk <waschk@mandriva.org> 0.39.0-1mdv2012.0
+ Revision: 789114
- update to new version 0.39.0

* Tue Aug 16 2011 Götz Waschk <waschk@mandriva.org> 0.38.0-1
+ Revision: 694674
- update to new version 0.38.0

* Fri Oct 02 2009 Götz Waschk <waschk@mandriva.org> 0.37.0-2mdv2011.0
+ Revision: 452468
- add xz to bash-completion file

* Sat Aug 15 2009 Götz Waschk <waschk@mandriva.org> 0.37.0-1mdv2010.0
+ Revision: 416444
- update to new version 0.37.0

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.36.0-2mdv2010.0
+ Revision: 410000
- add tbz2 extension to bash completion

* Fri Feb 27 2009 Götz Waschk <waschk@mandriva.org> 0.36.0-1mdv2009.1
+ Revision: 345827
- update to new version 0.36.0

* Fri Jan 16 2009 Götz Waschk <waschk@mandriva.org> 0.35.0-3mdv2009.1
+ Revision: 330139
- update patch to include the lzma extension
- update license

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.35.0-2mdv2009.0
+ Revision: 266221
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 09 2008 Götz Waschk <waschk@mandriva.org> 0.35.0-1mdv2009.0
+ Revision: 217016
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.34.0-1mdv2009.0
+ Revision: 192443
- new version
- add bash completion

  + Pascal Terjan <pterjan@mandriva.org>
    - Don't define package macro

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Götz Waschk <waschk@mandriva.org> 0.33.0-1mdv2008.0
+ Revision: 70652
- new version

* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 0.32.0-2mdv2008.0
+ Revision: 55218
- Import atool



* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.32.0-1mdv2007.0
- Rebuild

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 0.32.0-1mdk
- New release 0.32.0
- use mkrel

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 0.31.0-1mdk
- New release 0.31.0

* Mon Jul 25 2005 Götz Waschk <waschk@mandriva.org> 0.30.0-2mdk
- fix URLs

* Mon Jul 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.30.0-1mdk
- 0.30.0

* Thu Jul 07 2005 Götz Waschk <waschk@mandriva.org> 0.29.0-2mdk
- Rebuild

* Tue Jul  6 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.29.0-1mdk
- New release 0.29.0

* Fri Jun 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.28.0-1mdk
- 0.28.0
- remove patch merged upstream

* Sun Apr 18 2004 Götz Waschk <waschk@linux-mandrake.com> 0.27.0-2mdk
- fix lha

* Fri Nov 14 2003 Götz Waschk <waschk@linux-mandrake.com> 0.27.0-1mdk
- fix build
- new version

* Sat May 24 2003 Götz Waschk <waschk@linux-mandrake.com> 0.26.0-1mdk
- new version

* Fri Dec 27 2002 Götz Waschk <waschk@linux-mandrake.com> 0.25.0-2mdk
- rebuild

* Sat Nov  9 2002 Götz Waschk <waschk@linux-mandrake.com> 0.25.0-1mdk
- new version

* Thu Oct 10 2002 Götz Waschk <waschk@linux-mandrake.com> 0.24.0-1mdk
- use installation macro
- new version

* Tue Oct  1 2002 Götz Waschk <waschk@linux-mandrake.com> 0.23.0-2mdk
- add some man page symlinks for the individual commands

* Mon Sep 30 2002 Götz Waschk <waschk@linux-mandrake.com> 0.23.0-1mdk
- initial Mandrake package
